{
  lib,
  pkgs,
  inputs,
  ...
}:
{
  imports = [ ./khs-base.nix ];
  khscodes.virtualisation.qemu-guest.enableWhenVmTarget = true;

  services.desktopManager.cosmic.enable = true;
  services.displayManager.cosmic-greeter.enable = true;

  stylix = {
    enable = true;
    autoEnable = false;
    image = "${inputs.self}/assets/khs-desktop-wallpaper.jpg";
    base16Scheme = lib.mkDefault "${pkgs.base16-schemes}/share/themes/solarized-dark.yaml";
    targets.console.enable = true;
    fonts = {
      monospace = {
        package = pkgs.nerd-fonts.inconsolata;
        name = "Inconsolata Nerd Font";
      };
      sizes = {
        terminal = 14;
      };
    };
  };
  console = {
    enable = true;
    font = "${pkgs.powerline-fonts}/share/consolefonts/ter-powerline-v24b.psf.gz";
    packages = [
      pkgs.terminus_font
      pkgs.powerline-fonts
    ];
  };
}
